# dxPtexViewer

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- Keyboard Controls
- SEE ALSO

### SYNOPSIS

    dxPtexViewer
    [-e environment map]
    [-d HDR diffuse map]
    [-s HDR specular map]
    [-y]
    [--disp displacement scale]
    [-l isolation level]
    ptex color file
    ptex displacement file
    ptex occlusion file
    ptex specular file
    objfile(s)

### DESCRIPTION

`dxPtexViewer` is a stand-alone application that showcases advanced HDR shading with color, displacement, occlusion and specular ptex maps. Multiple controls are available to experiment with the algorithms.

Content under development....

### OPTIONS

-e environment map
  A low dynamic range spherical environment map used as a background. Ideally, a color-normalized version of the HDR light probe.
-d HDR diffuse map
  An HDR file containing a diffuse environment map (typically they are low resolution blurry hemispherical convolutions of the environment light probe).
-s environment map
  An HDR file containing a specular environment map.
--disp displacement scale
  A scalar multiplier for the shader displacement values.
-y
  Swap Z-up geometry to Y-UP.
-l isolation level
  Select the desired isolation level of adaptive feature isolation. This can be useful when trying to load large pieces of geometry.
ptex color file
  A ptex file containing RGB channels read as material albedo color.
ptex displacement file
  A single-channel ptex file (preferrably float precision) containing the displacement values.
ptex occlusion file
  A single-channel ptex file (preferrably 8 bits precision) containing a pre-computed ambient occlusion signal.
ptex specular file
  A single-channel ptex file (preferrably 8 bits precision) applied to modulate the specular reflectance of the material
objfile(s)
  A sequence of obj files used as an animation loop (the topology has to match the data contained in all the ptex files !)

### Keyboard Controls

>     q      : quit
>     esc    : hide GUI
>     f      : fit frame
>     +/-    : increase / decrese tessellation rate

### SEE ALSO

Other examples : glViewer, glShareTopology, glStencilViewer, glPtexViewer, glEvalLimit, glFVarViewer, dxViewer, dxPtexViewer,

- User Docs
- API Docs
- Release Notes
- Forum